Page MenuHomePhabricator

Change mediawiki-storage api queries to adapt to the api changes [5 pts] {crow}
Closed, ResolvedPublic

Description

  • Add flag to the current bower module (mediawiki-storage)
  • Update version and merge
  • Update reference to mediawiki-storage from dashiki
  • Deploy new dashiki to vital-signs and edit-analysis dashboards

In an email sent by Brad Jorsch on June 2:

As has been announced several times (most recently at
https://lists.wikimedia.org/pipermail/wikitech-l/2015-April/081559.html),
the default continuation mode for action=query requests to api.php will be
changing to be easier for new coders to use correctly.

...

The simple solution is to simply include the "rawcontinue" parameter
with your request to continue receiving the raw continuation data
(example <https://www.mediawiki.org/w/api.php?action=query&list=allpages&rawcontinue=1>).
No other code changes should be necessary.

Or you could update your code to use the simplified continuation documented
at https://www.mediawiki.org/wiki/API:Query#Continuing_queries
(example <https://www.mediawiki.org/w/api.php?action=query&list=allpages&continue=>),
which is much easier for clients to implement correctly.

Mediawiki-storage library uses action=query and needs some changes.
The api change date is July 1st!

Event Timeline

mforns created this task.Jun 5 2015, 6:41 PM
mforns raised the priority of this task from to Needs Triage.
mforns updated the task description. (Show Details)
mforns added a project: Analytics-Kanban.
mforns added a subscriber: mforns.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 5 2015, 6:41 PM
mforns updated the task description. (Show Details)Jun 5 2015, 6:42 PM
mforns set Security to None.
kevinator renamed this task from Change mediawiki-storage api queries to adapt to the api changes to Change mediawiki-storage api queries to adapt to the api changes [? pts] {crow}.Jun 12 2015, 4:12 PM
ggellerman moved this task from Tasked to Incoming on the Analytics-Backlog board.
Milimetric triaged this task as High priority.Jun 19 2015, 4:30 PM
kevinator renamed this task from Change mediawiki-storage api queries to adapt to the api changes [? pts] {crow} to Change mediawiki-storage api queries to adapt to the api changes [5 pts] {crow}.Jun 22 2015, 5:23 PM
kevinator moved this task from Incoming to Tasked on the Analytics-Backlog board.
Milimetric updated the task description. (Show Details)Jun 22 2015, 5:25 PM
mforns claimed this task.Jun 26 2015, 5:31 PM
mforns edited projects, added Analytics-Kanban; removed Analytics-Backlog.
mforns moved this task from Next Up to In Progress on the Analytics-Kanban board.

Change 221288 had a related patch set uploaded (by Mforns):
Add rawcontinue=1 flag for API compatibility

https://gerrit.wikimedia.org/r/221288

Change 221288 merged by Milimetric:
Add rawcontinue=1 flag for API compatibility

https://gerrit.wikimedia.org/r/221288

mforns moved this task from In Code Review to Ready to Deploy on the Analytics-Kanban board.

The rawcontinue=1 flag has been added to mediawiki-storage.
Milimetric merged that and I tagged it to 0.3.0.

No need to change Dashiki code, because the current reference in dashiki/bower.js is: "mediawiki-storage": "latest".

So next only step is "bower update mediawiki-storage" and rebuild both Vital Signs and Edit-Analysis.

mforns moved this task from Ready to Deploy to Done on the Analytics-Kanban board.Jun 26 2015, 9:54 PM
kevinator closed this task as Resolved.Jun 29 2015, 3:51 PM
kevinator added a subscriber: kevinator.

Could have been 3 points not 5. Went really well.